import pandas as pd
import numpy as np
import matplotlib.pyplot as plt

finnm = input('入力データファイル（*.xlsx）= ')
foutnm = input('画像保存ファイル（*.png）= ')

#
#      Excelファイルの読み込み
#　　　モジュール xlrd がインストール済みであること
#
xlsx_fl = pd.ExcelFile(finnm)                       #   ExcelファイルからExcelFile型オブジェクトを生成
data_xlsx = pd.read_excel(xlsx_fl,  header = None)  #   ExcelFile型オブジェクトからDataFrame型オブジェクトを生成
data = data_xlsx.values                             #   Dataframe型オブジェクトからnumpyの配列オブジェクトを生成
print(data)

x_name = data[0, 1]
y_name = data[0, 2]
x_values = data[1:, 1]
y_values = data[1:, 2]
print(x_name)
print(x_values)
print(y_name)
print(y_values)

#       日本語表記の設定
plt.rcParams['font.family'] = ['Yu Gothic', 'Noto Sans CJK JP', 'Hiragino Maru Gothic Pro']

plt.figure(figsize = (8, 7))
plt.xlabel(x_name, fontsize = 16)
plt.ylabel(y_name, fontsize = 16)
plt.plot(x_values, y_values, 'bo') 
plt.savefig(foutnm)
print('\n保存ファイル：', foutnm, '\n')
plt.show()
